ru.bitel.oss.systems.inventory.product.common.bean

## Class ProductSpecActivationMode

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.systems.inventory.product.common.bean.ProductSpecActivationMode

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class ProductSpecActivationMode
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEACTIVATE_MODE_DAY`
    `static int` | `DEACTIVATE_MODE_END_PERIOD`
    `static int` | `DEACTIVATE_MODE_HOUR`
    `static int` | `DEACTIVATE_MODE_MONTH`
    `static int` | `DEACTIVATE_MODE_NOW`
    `static int` | `DEACTIVATE_MODE_WEEK`
    `static int` | `MODE_BEGIN_CURRENT`
    `static int` | `MODE_BEGIN_NEXT`
    `static int` | `MODE_BEGIN_NEXT_HOUR`
    `static int` | `MODE_BEGIN_NOW`
    `static int` | `MODE_END_NORMAL`
    `static int` | `MODE_END_ROUNDED`
    `static int` | `MODE_FIELD_DAY`
    `static int` | `MODE_FIELD_HOUR`
    `static int` | `MODE_FIELD_MINUTE`
    `static int` | `MODE_FIELD_MONTH`
    `static int` | `MODE_FIELD_WEEK`
    `static int` | `REACTIVATE_MODE_OFF`
    `static int` | `REACTIVATE_MODE_ON`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductSpecActivationMode()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getDeactivationMode()`
    `int` | `getPeriodAmount()`
    `int` | `getPeriodMode()`
    `int` | `getProductSpecId()`
    `int` | `getReactivationMode()`
    `static int[]` | `mode(int mode)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDeactivationMode(int deactivationMode)`
    `void` | `setPeriodAmount(int periodAmount)`
    `void` | `setPeriodMode(int periodMode)`
    `void` | `setProductSpecId(int productSpecId)`
    `void` | `setReactivationMode(int reactivationMode)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### MODE_FIELD_MINUTE

          public static final int MODE_FIELD_MINUTE

      See Also:
        Constant Field Values

    - #### MODE_FIELD_HOUR

          public static final int MODE_FIELD_HOUR

      See Also:
        Constant Field Values

    - #### MODE_FIELD_DAY

          public static final int MODE_FIELD_DAY

      See Also:
        Constant Field Values

    - #### MODE_FIELD_WEEK

          public static final int MODE_FIELD_WEEK

      See Also:
        Constant Field Values

    - #### MODE_FIELD_MONTH

          public static final int MODE_FIELD_MONTH

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_NOW

          public static final int MODE_BEGIN_NOW

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_CURRENT

          public static final int MODE_BEGIN_CURRENT

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_NEXT

          public static final int MODE_BEGIN_NEXT

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_NEXT_HOUR

          public static final int MODE_BEGIN_NEXT_HOUR

      See Also:
        Constant Field Values

    - #### MODE_END_NORMAL

          public static final int MODE_END_NORMAL

      See Also:
        Constant Field Values

    - #### MODE_END_ROUNDED

          public static final int MODE_END_ROUNDED

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_END_PERIOD

          public static final int DEACTIVATE_MODE_END_PERIOD

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_NOW

          public static final int DEACTIVATE_MODE_NOW

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_HOUR

          public static final int DEACTIVATE_MODE_HOUR

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_DAY

          public static final int DEACTIVATE_MODE_DAY

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_WEEK

          public static final int DEACTIVATE_MODE_WEEK

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_MONTH

          public static final int DEACTIVATE_MODE_MONTH

      See Also:
        Constant Field Values

    - #### REACTIVATE_MODE_OFF

          public static final int REACTIVATE_MODE_OFF

      See Also:
        Constant Field Values

    - #### REACTIVATE_MODE_ON

          public static final int REACTIVATE_MODE_ON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProductSpecActivationMode

          public ProductSpecActivationMode()

  - ### Method Detail

    - #### mode

          public static int[] mode(int mode)

    - #### getProductSpecId

          public int getProductSpecId()

    - #### setProductSpecId

          public void setProductSpecId(int productSpecId)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getPeriodMode

          public int getPeriodMode()

    - #### setPeriodMode

          public void setPeriodMode(int periodMode)

    - #### getPeriodAmount

          public int getPeriodAmount()

    - #### setPeriodAmount

          public void setPeriodAmount(int periodAmount)

    - #### getDeactivationMode

          public int getDeactivationMode()

    - #### setDeactivationMode

          public void setDeactivationMode(int deactivationMode)

    - #### getReactivationMode

          public int getReactivationMode()

    - #### setReactivationMode

          public void setReactivationMode(int reactivationMode)